Subject: Re: bug#78038: 26.3; query-replace

From: Niclas Olsson <[email-masked]>
Date: Mon, 28 Apr 2025 09:30:59 +0000 (UTC)

Hi gnu/emacs
@Juri Linkov: you're excused... Some of us emacs users have paid work to do and can't and do not want to constantly ticking up versions on each and every tool. If something works then it works. The From->To didn't caught my attention since I was on an earlier version and/or didn't encounter this particular situation where it really gives issues.
@gnu/emacs:26.3 was stated to be the version by emacs itself when creating the initial mail with M-x report-emacs-bug
No errors shown trying the 2 suggestions makes me belive all was in place in 26.3 as well.
The Redhat8.1 system I work on has:
emacs/26.3(default) <L>  emacs/27.1-1  emacs/28.1  emacs/29.4    emacs/30.1  emacs/27.1               emacs/27.1-2  emacs/29.1  emacs/29.4-1  
trying any >26.3 gives massive issues with fonts sizes and something I never encountered with emacs before, many lines with:
Warning (native-compiler): libgccjit.so: error: error invoking gcc driver

and many similar warning/lines but cant copy in here due to company policies.
unfortunately from emacs 27.1 something was changed with font handling and I cant use neither of them if I do not fancy 3 times as big fonts as with 26.3... 
Again highlighting the root issue, introducing new features, new font handlings, faces etc might and changing plain old behavior always seem to be a good idea but many users were happy with how it worked before and is now forced to spend hours/days to get a newer version to look-and-feel the same, yes if it is even possible... A simple googling tells how many users disagree with the statement that new features are the best, are wanted or even needed... Some has already suggest all new features should be disabled by default. Regarding the FROM->TO I have a hard time trying to understand what problem this solved and how often a search-and-replace history is needed... but...
/Regards Niclas, Sweden    Den fredag 25 april 2025 kl. 18:44:50 CEST, Juri Linkov <[email-masked]> skrev:  
 
 > PLEASE, PLEASE; PLEASE start putting new behaviors disabled.
> The query-replace (default FROM -> TO) is a major disaster.

Excuse me, but (default FROM -> TO) was added in the year 2004
by commit 6f1df6d9d69a.

> Have been emacs fan since 2004 but...

By lucky coincidence (default FROM -> TO) was added
in the same year 2004.